Table of Contents

Module: eric3-unittest | eric3/eric3-unittest.py
--- | ---

Eric3 Unittest

This is the main Python script that performs the neccessary initialization of the unittest module and starts the Qt event loop. This is a standalone version of the integrated unittest module.

Imported modules |
--- | ---
import Preferences import os from qt import QApplication, QTranslator, QTextCodec import sys
Functions |
loadTranslator
| loadTranslator

    loadTranslator ( dirs,  tn )

### Global function to find and load a specific translation.

#### Arguments

dirs
  searchpath for the translations (list of strings)
tn
  the translation to be loaded (string)

#### Returns

tuple of a status flag and the loaded translator (int, QTranslator)

Table of Contents

This document was automatically generated by HappyDoc version 2.1